> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x-mart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener reporte de sincronización

> Allows obtaining a detailed report of: synchronization status, categories, products, modifiers, modifier options, errors and warnings of the last synchronization of a store



## OpenAPI

````yaml GET /v3/lists/sync-summary/lists
openapi: 3.0.1
info:
  title: Api V3 documentación
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.artisn.desarrollo-redbrand.com/api
  - url: https://api.kfc-group.desarrollo-redbrand.com
  - url: https://{apiId}.execute-api.{region}.amazonaws.com/{stage}
    description: API Gateway (PRIVATE; invocación típica vía VPC endpoint).
    variables:
      apiId:
        default: '{api-id}'
        description: ID del API REST desplegado.
      region:
        default: us-east-1
      stage:
        default: dev
        description: Mismo valor que parámetro EnvironmentName del stack.
security:
  - bearerAuth: []
paths:
  /v3/lists/sync-summary/lists:
    get:
      summary: Get synchronization report
      description: >-
        Allows obtaining a detailed report of: synchronization status,
        categories, products, modifiers, modifier options, errors and warnings
        of the last synchronization of a store
      parameters:
        - name: vendorId
          in: query
          required: true
          description: Unique identifier of the brand, this identifier is provided by Trade
          schema:
            type: integer
            format: int32
        - name: storeId
          in: query
          required: true
          description: Unique identifier of the store
          schema:
            type: integer
            format: int32
        - name: channelId
          in: query
          required: true
          description: Sales channel identifier
          schema:
            type: integer
            format: int32
        - name: channelReferenceName
          in: query
          required: false
          description: >-
            This field is required if the channelId attribute is not unique.
            Unique reference name, this name will be used for the search and
            association of the standardized channel
          schema:
            type: string
        - name: listName
          in: query
          required: false
          description: >-
            Este campo es requerido si se utiliza en el atributo
            'additionalInfo.relatedLists' en la sincronización de canales de
            venta. Nombre de la lista.
          schema:
            type: string
      responses:
        '200':
          description: Synchronization report obtained successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  summary:
                    type: object
                    properties:
                      status:
                        type: string
                        description: Synchronization status.
                      errors:
                        type: array
                        items:
                          type: string
                        description: Error report found in the last synchronization
                      warnings:
                        type: array
                        items:
                          type: string
                        description: Report of notices found in the last synchronization
                      individualUpdates:
                        type: boolean
                        description: >-
                          Determines if there were individual product or store
                          updates
                      list:
                        type: object
                        properties:
                          listId:
                            type: string
                            description: List identifier
                          listName:
                            type: string
                            description: List name
                          schedules:
                            type: array
                            items:
                              type: object
                              properties:
                                day:
                                  type: string
                                openTime:
                                  type: string
                                closeTime:
                                  type: string
                            description: Synchronized schedule of the list
                          categories:
                            type: array
                            items:
                              type: object
                              properties:
                                categoryId:
                                  type: string
                                categoryName:
                                  type: string
                                childCategories:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      categoryId:
                                        type: string
                                      categoryName:
                                        type: string
                                  description: >-
                                    List of subcategories synchronized and
                                    associated with the category
                                productListing:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      productId:
                                        type: string
                                      productName:
                                        type: string
                                      productModifiers:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            modifierId:
                                              type: string
                                            modifierName:
                                              type: string
                                            modifierOptions:
                                              type: array
                                              items:
                                                type: object
                                                properties:
                                                  optionId:
                                                    type: string
                                                  optionName:
                                                    type: string
                                              description: >-
                                                List of options synchronized and
                                                associated with the modifier
                                        description: >-
                                          List of modifiers synchronized and
                                          associated with the product
                                  description: >-
                                    List of products synchronized and associated
                                    with the category
                            description: List of synchronized categories
                        description: >-
                          Complete report of synchronized data (categories,
                          products, modifiers, options, etc.)
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````